# lineworks-api
<p>This is a package implemented in Python with the contents of the official LINE WORKS documentation.<br>
Published by PyPI.</p>

- [LINE WORKS Official Documentation](https://developers.worksmobile.com/document)
- [PyPI - lineworks](https://pypi.org/project/lineworks/)


## Install
`pip install lineworks`


## Use (e.g. Talk Bot API)
```python
from lineworks import TalkBotApi


# API info
api_id = "your api id."
server_api_consumer_key = "your server api consumer key"
server_id = "your server id."
private_key = """\
-----BEGIN PRIVATE KEY-----
your private key.
-----END PRIVATE KEY-----"""
domain_id = "your domain id."


talk_bot = TalkBotApi(api_id, server_api_consumer_key, server_id, private_key, domain_id, "668966")
talk_bot.send_text_message("text message.", account_id="your account.")
```


## How to get API information
<p>API IDs are generated by <a href="https://developers.worksmobile.com/jp/console/openapi/main">line works Developer Console</a>.<br>
In this package, server list (ID registration type) is used.</p>


## Required Python modules
<p>Found in requirements.txt</p>


## License
<p>MIT License (MIT)</p>
